# sdkms/v1.LogsApi

All URIs are relative to *https://apps.smartkey.io*

Method | HTTP request | Description
------------- | ------------- | -------------
[**get_audit_logs**](LogsApi.md#get_audit_logs) | **GET** /sys/v1/logs | Get audit logs


# **get_audit_logs**
> AuditLogResponse get_audit_logs(size=size, _from=_from, action_type=action_type, actor_type=actor_type, actor_id=actor_id, object_id=object_id, severity=severity, range_from=range_from, range_to=range_to)

Get audit logs

Get audit log entries matching the requested filters.

### Example 
```python
from __future__ import print_function
import time
import sdkms/v1
from sdkms/v1.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerToken
configuration = sdkms/v1.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = sdkms/v1.LogsApi(sdkms/v1.ApiClient(configuration))
size = 56 # int | Maximum number of entries to return (optional)
_from = 56 # int | For pagination, starting offset (optional)
action_type = 'action_type_example' # str | Event action type (optional)
actor_type = 'actor_type_example' # str | Event actor type (optional)
actor_id = 'actor_id_example' # str | Actor (User or App) Identifier (optional)
object_id = 'object_id_example' # str | Object (User or App) Identifier for event (optional)
severity = 'severity_example' # str | Event severity type (optional)
range_from = 56 # int | Starting time for search , this is EPOCH value (optional)
range_to = 56 # int | Ending time for search , this is EPOCH value (optional)

try: 
    # Get audit logs
    api_response = api_instance.get_audit_logs(size=size, _from=_from, action_type=action_type, actor_type=actor_type, actor_id=actor_id, object_id=object_id, severity=severity, range_from=range_from, range_to=range_to)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling LogsApi->get_audit_logs: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **size** | **int**| Maximum number of entries to return | [optional] 
 **_from** | **int**| For pagination, starting offset | [optional] 
 **action_type** | **str**| Event action type | [optional] 
 **actor_type** | **str**| Event actor type | [optional] 
 **actor_id** | **str**| Actor (User or App) Identifier | [optional] 
 **object_id** | **str**| Object (User or App) Identifier for event | [optional] 
 **severity** | **str**| Event severity type | [optional] 
 **range_from** | **int**| Starting time for search , this is EPOCH value | [optional] 
 **range_to** | **int**| Ending time for search , this is EPOCH value | [optional] 

### Return type

[**AuditLogResponse**](AuditLogResponse.md)

### Authorization

[bearerToken](../README.md#bearerToken)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

